package owg.lgm.ar1;

import owg.lgm.*;
import owg.lgm.ar1.enemy.Windsds;
import owg.lgm.ar1.stuff.boss.Elemboss;

import static owg.lgm.GMLib.*;

public class Windevil extends Entity
{
	public Windevil(double x, double y)
	{
		super(x, y, 0, false, false, false, "jewari", null);
	}
	protected Windevil(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	boolean www;

	@Override
	public void createEvent()
	{
		alarm[0] = (short)(32);
		www = false;
		Animal a = instance(Animal.class);
		if(a != null)
		{
			a.gravity=0;
			a.gravity_direction=0;
			a.friction = 0;
		}
	}
	@Override
	public void step()
	{
		if (www)
		{
			vspeed+=-0.2;
			hspeed+=-1+random(2);
		}
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			Elemboss e = instance(Elemboss.class);
			if (e.life<125)
			{
				instance_create(0,0, Windsds.class);
				instance_create(640,0, Windsds.class);
				instance_create(0,480, Windsds.class);
				instance_create(640,480, Windsds.class);
			}
			alarm[1] = (short)(32);
			www = true;
			break;
		case 1:
			Animal a = instance(Animal.class);
			if(a != null)
			{
				a.gravity=0.50;
				a.gravity_direction=270;
				a.friction=0.30;
			}
			destroy();
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
