package owg.lgm.ar1.enemy;

import owg.lgm.ar1.Animal;
import owg.lgm.ar1.explodd.Explodd2;

import static owg.lgm.GMLib.*;

public class Fallrock extends Shotblb1
{
    public Fallrock(double x, double y)
    {
        super(x, y, 1, false, true, false, "sprite259", null);
    }
    protected Fallrock(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    @Override
    public void createEvent()
    {
        damage = 24;
        sound_play("earthbngh");
        Animal animal = instance(Animal.class);
        if (animal != null)
        	move_towards_point(animal.x,animal.y,10);
        image_single(random(image_number()));
        friction=0.1;
        {
            gravity=0.2;
            gravity_direction=270;
        }
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Explodd2.class);
    }
    @Override
    public void step()
    {
        if (y>700)
        destroy();
    }
}
