package owg.lgm.ar1.enemy;

import owg.lgm.ar1.Animal;
import owg.lgm.ar1.explodd.Silentex;

import static owg.lgm.GMLib.*;

public class Laser1 extends Shotblb1
{
    public Laser1(double x, double y)
    {
        super(x, y, 1, false, true, false, "sprite190", null);
    }
    protected Laser1(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    @Override
    public void createEvent()
    {
        damage = 16;
        sound_play("biglaza");
        Animal animal = instance(Animal.class);
        if (animal != null)
        	move_towards_point(animal.x,animal.y,8);
        image_single(getDirection()/10.0);
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Silentex.class);
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+0))
        destroy();
    }
}
