package owg.lgm.ar1.fallers;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Ground;
import owg.lgm.ar1.kyz.Hollbig2;

import static owg.lgm.GMLib.*;

public class Fallholl2 extends Entity implements Collider
{
    public Fallholl2(double x, double y)
    {
        super(x, y, 0, false, true, false, "wrappiecs", null);
    }
    protected Fallholl2(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        image_single(2);
        motion_set(random(360),2+random(4));
        Animal animal = instance(Animal.class);
        if (hspeed<0 && animal != null && animal.x<x)
        hspeed=-hspeed;
        if (hspeed>0 && animal != null && animal.x>x)
        hspeed=-hspeed;
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Hollbig2.class);
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+vspeed+1))
        {
            vspeed=0;
            if (!place_free(x+0,y+1))
            destroy();
        }
        else
        vspeed+=0.25;
    }
    @Override
    public void handleCollisions()
    {
        for(@SuppressWarnings("unused") Ground other : getCollisions(Ground.class))
        {
            hspeed=-hspeed;
            if(isDisposed())
            return;
        }
        super.handleCollisions();
    }
}
