package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.fallers.Fall55;
import owg.lgm.ar1.stuff.evilballstuf.Doorbalst;

import static owg.lgm.GMLib.*;

public class Lockboss1 extends HEVE1
{
	public Lockboss1(double x, double y)
	{
		super(x, y, 0, false, true, false, "lockon3", null);
	}
	protected Lockboss1(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	Doorbalst moog;
	double dir1, sp;
	double dirsp, spsp;

	@Override
	public void createEvent()
	{
		inv = 0;
		he = 0;
		ve = 0;
		life = 65;
		alarm[1] = (short)(18);
		dir1 = 270;
		dirsp = 10;
		sp = 64;
		spsp = 0;
		{
			moog=instance_create(x,y,Doorbalst.class);
			moog.m2=this;

		}
	}
	@Override
	public void step()
	{
		sp += spsp;
		dir1 += dirsp;
		he = lengthdir_x(sp, dir1);
		ve = lengthdir_y(sp, dir1);
	}

	Sprite ballxx = Sprite.get("ballxx");

	@Override
	public void render()
	{
		draw_sprite(sprite,-1,x+0,y+0);
		double d = 1;
		for (int i = 0; i<4; i++)
		{
			d += -1.0/4;
			draw_sprite(ballxx,-1,x+68+he*d,y+ve*d);
		}
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
		{
			if(moog != null)
			{
				moog.destroy();
				moog = null;
			}
		}
		destroy();
		if (floor(random(2-1))==0)
			instance_create(x+0,y+0,Fall55.class);
		{
			Doorlockd1 doorlockd1 = instance_nearest(x,y,Doorlockd1.class);
			if(doorlockd1 != null)
				doorlockd1.destroy();
		}
		{
			Doorlockd2 doorlockd2 = instance_nearest(x,y,Doorlockd2.class);
			if(doorlockd2 != null)
				doorlockd2.destroy();
		}
		break;
		case 1:
			sound_play("clank");
			dirsp = 0;
			dir1 = 90;
			alarm[2] = (short)(life+random(45));
			break;
		case 2:
			dirsp = -10;
			alarm[3] = (short)(18);
			break;
		case 3:
			sound_play("clank");
			dirsp = 0;
			dir1 = 270;
			alarm[4] = (short)(life+random(25));
			break;
		case 4:
			dirsp = 10;
			alarm[1] = (short)(18);
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
