package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Tuudna;
import owg.lgm.ar1.explodd.Explodd2;
import owg.lgm.ar1.explodd.Explodd3;
import owg.lgm.ar1.fallers.Fall55;
import owg.lgm.ar1.stuff.evilballstuf.Enrwas;
import owg.lgm.ar1.stuff.fakings.Destabl;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Weirdboss extends HEVE1 implements Collider
{
    public Weirdboss(double x, double y)
    {
        super(x, y, 0, false, true, false, "enmy5", null);
    }
    protected Weirdboss(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    double dir1, sp;
    double dirsp, spsp;
    
    Enrwas moog, moog2;
    
    @Override
    public void createEvent()
    {
        he = 0;
        ve = 0;
        dir1 = 270;
        dirsp = 2.5;
        sp = 64;
        spsp = 0;
        {
            moog=instance_create(x,y,Enrwas.class);
            moog.m=this;
            moog.depth=1;
            moog2=instance_create(x,y,Enrwas.class);
            moog2.m=this;
            moog2.depth=-1;
            
        }
        hspeed=4;
        global.smcavseald = 1;
    }
    @Override
    public void step()
    {
        sp += spsp;
        dir1 += dirsp;
        he = lengthdir_x(sp, dir1);
        ve = lengthdir_y(sp, dir1);
        if (x>1792)
        {
            instance_create(x+0,y+0,Explodd3.class);
            for(Enrwas other : instances(Enrwas.class))
            {
                instance_create(other.x+0,other.y+0,Explodd2.class);
                destroy();
            }
            instance_create(1728,224,Destabl.class);
            destroy();
        }
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            {
                if(moog != null)
                {
                    moog.destroy();
                    moog = null;
                }
                if(moog2 != null)
                {
                    moog2.destroy();
                    moog2 = null;
                }
            }
            destroy();
            if (floor(random(2-1))==0)
            	instance_create(x+0,y+0,Fall55.class);
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
    @Override
    public void handleCollisions()
    {
        for(@SuppressWarnings("unused") Tuudna other : getCollisions(Tuudna.class))
        {
            hspeed=-hspeed;
            if(isDisposed())
            return;
        }
        super.handleCollisions();
    }
}
