package owg.lgm.util;

import com.jogamp.opengl.GL2ES1;
import owg.lgm.IImage;

public interface FramebufferManager extends Destructible
{
	public GL2ES1 getGL();
	public void configure(GL2ES1 gl, int viewportWidth, int viewportHeight);
	public boolean beginRender(int surfaceWidth, int surfaceHeight);
	public void endRender();
	public void blit(int surfaceWidth, int surfaceHeight);
	public IImage screenshot(int x0, int y0, int w, int h);
	public IImage screenshot();
	public int getCurrentWidth();
	public int getCurrentHeight();
}
