package owg.lgm.ar1;

import owg.lgm.*;
import owg.lgm.ar1.explodd.Explodd3;
import owg.lgm.ar1.fakedollidd.Misksolid;
import owg.lgm.in.KeyEventType;
import owg.lgm.in.KeyListener;
import owg.lgm.in.MB;
import owg.lgm.in.VK;
import owg.lgm.room.Room.ViewData;
import owg.util.rethrow.Rethrow;

import java.lang.reflect.Constructor;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Destcret extends Entity implements KeyListener
{
	public Destcret(double x, double y)
	{
		super(x, y, 0, false, true, false, "ballxx", null);
	}
	protected Destcret(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	int gs;
	Class<? extends Entity> objaaa;

	@Override
	public void createEvent()
	{
		gs = 0;
		if (global.objbjbj==0)
			objaaa = Top.class;
		if (global.objbjbj==1)
			objaaa = Ground.class;
		if (global.objbjbj==2)
			objaaa = Bigruung.class;
		if (global.objbjbj==3)
			objaaa = Backgren.class;
		if (global.objbjbj==4)
			objaaa = Diagr.class;
		if (global.objbjbj==5)
			objaaa = Diagl.class;
		if (global.objbjbj==6)
			objaaa = Briggd.class;
		if (global.objbjbj==7)
			objaaa = Brigd3.class;
		if (global.objbjbj==8)
			objaaa = Brigd2.class;
	}
	@Override
	public void step()
	{
		{
			x=mouse_x();
			y=mouse_y();
		}
		int ckx = ceil(x/32.0);
		int cky = ceil(y/32.0);
		if (mouse_check_button_pressed(MB.LEFT))
		{
			if (global.createc>0)
			{
				if (gs==0)
				{
					instance_create(-32+ckx*32,-32+cky*32,objaaa);
				}
				gs = 1;
			}
		}
		else
			gs = 0;
		if (mouse_check_button_pressed(MB.RIGHT))
			if (global.destroyc>0)
			{
				{
					for(Diagl other : instances(Diagl.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Diagr other : instances(Diagr.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+96,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Misksolid other : instances(Misksolid.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Top other : instances(Top.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Ground other : instances(Ground.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Bigruung other : instances(Bigruung.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Nothing other : instances(Nothing.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Backgren other : instances(Backgren.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Object246 other : instances(Object246.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Object247 other : instances(Object247.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Briggd other : instances(Briggd.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Brigd2 other : instances(Brigd2.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
				{
					for(Brigd3 other : instances(Brigd3.class))
					{
						if(other.distance_to_object(this)<2)
						{
							instance_create(other.x+32,other.y+32,Explodd3.class);
							other.destroy();
						}
					}
				}
			}
	}
	
	Entity dummy = null;
	
	@Override
	public void render()
	{
		if (global.createc>0)
		{
			//HAX
			if(!objaaa.isInstance(dummy))
			{
				try {
					Entity.REGISTER = false;
					Constructor<? extends Entity> ctor = objaaa.getConstructor(double.class, double.class);
					dummy = ctor.newInstance(0.0,0.0);
				} catch(Exception err) {
					Rethrow.rethrow(err);
				} finally {
					Entity.REGISTER = true;
				}
			}
			Sprite ghull=dummy.sprite;
			ViewData view = view();
			draw_sprite_ext(ghull,0,view.xview+320,view.yview+128, 1,1,0, c_white,0.5);
		}
	}
	@Override
	public void keyEvent(KeyEventType type, VK key)
	{
		switch (type)
		{
		case PRESS:
			switch (key)
			{
			case X:
				global.objbjbj += 1;
				if (global.objbjbj>8)
					global.objbjbj = 0;
				if (global.objbjbj<0)
					global.objbjbj = 8;
				if (global.objbjbj==0)
					objaaa = Top.class;
				if (global.objbjbj==1)
					objaaa = Ground.class;
				if (global.objbjbj==2)
					objaaa = Bigruung.class;
				if (global.objbjbj==3)
					objaaa = Backgren.class;
				if (global.objbjbj==4)
					objaaa = Diagr.class;
				if (global.objbjbj==5)
					objaaa = Diagl.class;
				if (global.objbjbj==6)
					objaaa = Briggd.class;
				if (global.objbjbj==7)
					objaaa = Brigd3.class;
				if (global.objbjbj==8)
					objaaa = Brigd2.class;
				break;
			case Z:
				global.objbjbj += -1;
				if (global.objbjbj>8)
					global.objbjbj = 0;
				if (global.objbjbj<0)
					global.objbjbj = 8;
				if (global.objbjbj==0)
					objaaa = Top.class;
				if (global.objbjbj==1)
					objaaa = Ground.class;
				if (global.objbjbj==2)
					objaaa = Bigruung.class;
				if (global.objbjbj==3)
					objaaa = Backgren.class;
				if (global.objbjbj==4)
					objaaa = Diagr.class;
				if (global.objbjbj==5)
					objaaa = Diagl.class;
				if (global.objbjbj==6)
					objaaa = Briggd.class;
				if (global.objbjbj==7)
					objaaa = Brigd3.class;
				if (global.objbjbj==8)
					objaaa = Brigd2.class;
				break;
			default:
				super.keyEvent(type, key);
				break;
			}
			break;
		default:
			super.keyEvent(type, key);
			break;
		}
	}
}
