package owg.lgm.ar1;

import owg.lgm.Entity;
import owg.lgm.room.Room;
import owg.lgm.room.Room.ViewData;

public class SaveNotify extends Entity
{
	public SaveNotify(double x, double y)
	{
		super(x, y, Integer.MIN_VALUE, false, true, false, "saveNotify", null);
	}

	public SaveNotify(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String spriteName, String maskName)
	{
		super(x, y, depth, persistent, visible, solid, spriteName, maskName);
	}

	@Override
	public void step()
	{
		image_alpha -= 1.0/120;
		if(image_alpha <= 0)
			destroy();
	}
	
	@Override
	public void render()
	{
		ViewData view = Room.CURRENT.views[0];
		x = view.xview+view.wview;
		y = view.yview+view.hview;
		super.render();
	}
}
