package owg.lgm.ar1.enemy;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Invable;
import owg.lgm.ar1.fallers.Fall55;
import owg.lgm.ar1.stuff.special.Sandfall;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Enemy56 extends Invable
{
	public Enemy56(double x, double y)
	{
		super(x, y, 1, false, true, false, "verryevilup", null);
	}
	protected Enemy56(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	double dir;

	@Override
	public void createEvent()
	{
		if (!instance_exists(Object528.class) && global.abzolniu>0)
		{
			destroy();
			return;
		}
		life = 12;
		alarm[1] = (short)(60);
	}
	@Override
	public void step()
	{
		Animal animal = instance(Animal.class);
		if (animal != null)
			dir = point_direction(x,y,animal.x,animal.y);
		if (!place_free(x,ystart-190))
		{
			if (y<ystart-126)
				vspeed=0;
		}
		else
		{
			if (y<ystart-190)
				vspeed=0;
		}
	}

	Sprite en4gun = Sprite.get("en4gun");

	@Override
	public void render()
	{
		draw_sprite(sprite,image_index,x+0,y+0);
		draw_sprite(en4gun,dir*16.0/360,x+32,y+32);
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			destroy();
			if (floor(random(2-1))==0)
				instance_create(x+32,y+32,Fall55.class);
			instance_create(x+0,y+0,Sandfall.class);
			break;
		case 1:
			Animal animal = instance(Animal.class);
			if (animal != null)
			{
				if (y>ystart-120)
				{
					if (distance_to_object(animal)<128)
						vspeed=-8;
					alarm[1] = (short)(30);
				}
				else
				{
					if (distance_to_object(animal)<320)
						instance_create(x+32,y+12,Poisarrw.class);
					alarm[1] = (short)(120);
				}
			}
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
