package owg.lgm.ar1.enemy;

import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Invable;
import owg.lgm.ar1.fallers.Fall55;
import owg.lgm.ar1.stuff.special.Sandfall;

import static owg.lgm.GMLib.*;

public class Object499 extends Invable
{
	public Object499(double x, double y)
	{
		super(x, y, 1, false, true, false, "speciviup", null);
	}
	protected Object499(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		inv = 0;
		life = 30;
		alarm[1] = (short)(60);
		alarm[2] = (short)(90);
	}
	@Override
	public void step()
	{
		if (y<ystart-190)
		{
			vspeed=0;
			{
				x+=0;
				y+=8;
			}
		}
		if (y>ystart)
		{
			vspeed=0;
			{
				x+=0;
				y+=-8;
			}
		}
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			destroy();
			if (floor(random(2-1))==0)
				instance_create(x+32,y+32,Fall55.class);
			instance_create(x+0,y+0,Sandfall.class);
			break;
		case 1:
			alarm[1] = (short)(45);
			Animal animal = instance(Animal.class);
			if (animal != null)
			{
				if (y<ystart)
					instance_create(x+32,y+12,Shotblb1.class);
			}
			break;
		case 2:
			alarm[3] = (short)(120);
			vspeed=-8;
			break;
		case 3:
			alarm[2] = (short)(120);
			vspeed=8;
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
