package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Windevil;
import owg.lgm.ar1.enemy.Fallrock;
import owg.lgm.ar1.enemy.Nospid;
import owg.lgm.ar1.enemy.Nospid2;
import owg.lgm.ar1.enemy.Object591;
import owg.lgm.ar1.enemy.Object592;
import owg.lgm.ar1.enemy.Shotblb1;
import owg.lgm.ar1.fallers.Fall1515;
import owg.lgm.ar1.lava.Badlava;
import owg.lgm.ar1.lava.Lava;
import owg.lgm.ar1.stuff.fakings.Destabl;
import owg.lgm.ar1.stuff.fakings.Destabl2;
import owg.lgm.ar1.stuff.special.Object595;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Elemboss extends HEVE1
{
    public Elemboss(double x, double y)
    {
        super(x, y, 1, false, true, false, "alignelmnt", null);
    }
    protected Elemboss(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    boolean qqq;
    
    public double dir1;
    public double dirsp;
    double sp, spsp;
    double oghdir;
    double typ, typsp;
    
    @Override
    public void createEvent()
    {
        inv = 0;
        qqq = false;
        he = 0;
        ve = 0;
        life = 150;
        dir1 = 45;
        dirsp = -1;
        sp = 64;
        spsp = 0;
        oghdir = 0;
        alarm[2] = (short)(128);
        typ = 0;
    }
    @Override
    public void step()
    {
        dir1 += dirsp;
        sp += spsp;
        he = lengthdir_x(sp, dir1)/1.5;
        ve = lengthdir_y(sp, dir1);
        typ += typsp;
        if (typ>4.4)
        typ = 0;
    }
    
    Sprite jewari = Sprite.get("jewari");
    Sprite jearth = Sprite.get("jearth");
    Sprite jewat = Sprite.get("jewat");
    Sprite jewfir = Sprite.get("jewfir");
    Sprite alignelmnt = Sprite.get("alignelmnt");
    
    @Override
    public void render()
    {
        double d = 1;
        for (int i = 0; i<10; i++)
        {
            d += -1.0/10;
            if (round(typ)==1)
            draw_sprite(jewari,-1,x+he*d,y+ve*d);
            if (round(typ)==2)
            draw_sprite(jearth,-1,x+he*d,y+ve*d);
            if (round(typ)==3)
            {
                draw_sprite(jewat,-1,x+he*d,y+ve*d);
                if (qqq)
                instance_create(x+0,y+-8,Nospid.class);
            }
            if (round(typ)==4)
            {
                draw_sprite(jewfir,-1,x+he*d,y+ve*d);
                if (qqq)
                instance_create(x+0,y+-8,Nospid2.class);
            }
        }
        draw_sprite(alignelmnt,typ,x+0,y+0);
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            global.elementye = 1;
            {
                sound_stop_all();
            }
            instance_create(0,0,Object590.class);
            global.elementye = 1;
            global.mzc = null;
            destroy();
            instance_create(x+-32,y+0, Fall1515.class);
            for (int i = 0; i<7; i++)
            instance_create(x+0,y+0, Boomfall.class);
            for (int i = 0; i<12; i++)
            instance_create(x+0,y+0,Bigboom.class);
            break;
            case 2:
            alarm[2] = (short)(256);
            alarm[3] = (short)(30);
            typsp = 0.5+random(0.5);
            sound_play("pling");
            break;
            case 3:
            typ = round(random(4.3));
            typsp = 0;
            alarm[4] = (short)(30);
            sound_play("clank");
            break;
            case 4:
            alarm[5] = (short)(60);
            typ = round(typ);
            if (typ<1)
            {
                alarm[2] = (short)(256);
                alarm[3] = (short)(30);
                typsp = 0.5+random(0.5);
                sound_play("pling");
            }
            if (round(typ)==1)
            {
                sound_play("windups");
                instance_create(0,0,Windevil.class);
                Animal animal = instance(Animal.class);
                if(animal != null)
                {
                	animal.vspeed+=-5-random(6);
                	animal.hspeed+=-3+random(6);
                }
            }
            if (round(typ)==2)
            {
                instance_create(96,632, Object595.class);
                instance_create(room_width()-214,632, Object595.class);
            }
            if (round(typ)==3)
            {
                instance_create(x,y,Object592.class);
                if (life<75)
                {
                    alarm[6] = (short)(45);
                    qqq = true;
                }
            }
            if (round(typ)==4)
            {
                if (life<75)
                {
                    alarm[6] = (short)(45);
                    qqq = true;
                }
                instance_create(x+0,y+0, Object591.class);
                if (life<30)
                {
                	for(Destabl other : instances(Destabl.class))
                	{
                		instance_create(other.x+0,other.y+32, Lava.class);
                		other.destroy();
                	}
                	for(Destabl2 other : instances(Destabl2.class))
                	{
                		instance_create(other.x+0,other.y+32, Lava.class);
                        instance_create(other.x+0,other.y+32, Badlava.class);
                		other.destroy();
                	}
                }
            }
            break;
            case 5:
            if (life<100)
            {
                instance_create(x+-16,y+-32,Shotblb1.class);
                instance_create(x+16,y+-32,Shotblb1.class);
                instance_create(x+-16,y+0,Shotblb1.class);
                instance_create(x+16,y+0,Shotblb1.class);
            }
            if (round(typ)==2)
            if (life<75)
            {
                instance_create(10+random(620),10, Fallrock.class);
                if (life<50)
                instance_create(10+random(620),10, Fallrock.class);
                if (life<25)
                instance_create(10+random(620),10, Fallrock.class);
            }
            break;
            case 6:
            qqq = false;
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
