package owg.lgm.ar1.stuff.draw;

import owg.lgm.*;
import owg.lgm.ar1.accessories.AR1Fonts;
import owg.lgm.room.Room;
import owg.lgm.room.Room.BackgroundData;
import owg.lgm.room.Room.ViewData;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Fordraw extends Entity
{
	public Fordraw(double x, double y)
	{
		super(x, y, -5000000, false, true, false, null, null);
	}
	protected Fordraw(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	
	int oeh;
	
	@Override
	public void createEvent()
	{
		BackgroundData background4 = Room.CURRENT.backgrounds[4];
		if (background4.visible)
		{
			background4.visible=false;
			oeh = 1;
		}
		else
			oeh = 0;
	}
	@Override
	public void step()
	{
		if (instance_number(Fordraw.class)>1)
			destroy();
	}
	@Override
	public void render()
	{
		ViewData view = view();
		draw_set_color(0xff0000ff);
		draw_rectangle(view.xview, view.yview,view.xview+global.maxlife, view.yview+32, false);
		draw_set_color(0xffa00000);
		draw_rectangle(view.xview, view.yview,view.xview+global.maxlife, view.yview+32, true);
		
		draw_set_color(0xffff0000);
		draw_rectangle(view.xview, view.yview,view.xview+global.life, view.yview+32, false);
		draw_set_color(0xffa00000);
		draw_rectangle(view.xview, view.yview,view.xview+global.life, view.yview+32, true);
		
		draw_set_font(AR1Fonts.A_16);
		draw_set_color(c_lime);
		if (global.poisoned==1)
			draw_text(view.xview, view.yview+128, "You are poisoned.");
		draw_text(view.xview, view.yview+64, "You have "+(global.score)+" valuables.");
		draw_text(view.xview, view.yview+32, "Your claw level is "+(global.sharpreal)+".");
		if (oeh==1)
		{
			BackgroundData background4 = Room.CURRENT.backgrounds[4];
			draw_background_tiled(background4.getBackground(),view.xview*1.2,-112+view.yview*1.2);

		}
	}
}
