package owg.lgm.ar1.stuff.gathr;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.gates1.Tobotomjung;
import owg.lgm.ar1.stuff.fakings.Destabl;
import owg.lgm.ar1.stuff.special.Ligthings;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Bigkeygathr extends Entity
{
	public Bigkeygathr(double x, double y)
	{
		super(x, y, 0, false, true, false, "shadbig", null);
	}
	protected Bigkeygathr(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		if (global.opendjung==0)
			alarm[0] = (short)(30);
		else
			alarm[2] = (short)(2);
	}

	Sprite piecsofbig = Sprite.get("piecsofbig");

	@Override
	public void render()
	{
		draw_sprite(sprite,0,x+0,y+0);
		if (global.bigk1==1)
			draw_sprite(piecsofbig,1,x+0,y+0);
		if (global.bigk2==1)
			draw_sprite(piecsofbig,2,x+0,y+0);
		if (global.bigk3==1)
			draw_sprite(piecsofbig,3,x+0,y+0);
		if (global.bigk4==1)
			draw_sprite(piecsofbig,4,x+0,y+0);
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			Animal animal = instance(Animal.class);
			if (animal != null && global.bigk1==1 && global.bigk2==1 && global.bigk3==1 && global.bigk4==1)
			{
				if (animal.x<x)
				{
					int durri = 0;
					sound_play("pling");
					alarm[1] = (short)(90);
					for (int i = 0; i<36; i++)
					{
						durri += 10;
						{
							Ligthings q = instance_create(x,y,Ligthings.class);
							q.setDirection(durri);
						}
					}
				}
				else
					alarm[0] = (short)(8);
			}
			break;
		case 1:
			if (global.opendjung==0)
			{
				new AR1Dialog()
				{
					@Override
					public void dialog() throws ConverseException
					{
						show_message("You gathered all the pieces of the big key.");
						show_message("The door to the jungle has opened.");
						sound_play("cloack");
						for(Destabl other : instances(Destabl.class))
						{
							instance_create(other.x+0,other.y+0,Tobotomjung.class);
							other.destroy();
						}
						global.opendjung = 1;
					}
				}.start();
			}
			break;
		case 2:
			for(Destabl other : instances(Destabl.class))
			{
				instance_create(other.x+0,other.y+0,Tobotomjung.class);
				other.destroy();
			}
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
