package owg.lgm.ar1.stuff.gathr;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.newgates.Tonewplac;
import owg.lgm.ar1.stuff.fakings.Destabl;
import owg.lgm.ar1.stuff.special.Ligthings;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Kyholegathr extends Entity
{
    public Kyholegathr(double x, double y)
    {
        super(x, y, 0, false, true, false, "wrapshad", null);
    }
    protected Kyholegathr(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    int process;
    
    @Override
    public void createEvent()
    {
        if (global.opennew==0)
        {
            alarm[0] = (short)(30);
            process = 0;
        }
        else
        {
            alarm[2] = (short)(2);
            process = 2;
        }
    }
    
    Sprite wrappiecs = Sprite.get("wrappiecs");
    Sprite piecsofbig = Sprite.get("piecsofbig");
    
    @Override
    public void render()
    {
        if (process>0)
        draw_sprite(wrappiecs,0,x+0,y+0);
        if (process==2)
        draw_sprite(piecsofbig,0,x+0,y+0);
        if (process==0)
        {
            draw_sprite(sprite,0,x+0,y+0);
            if (global.bigknew1==1)
            draw_sprite(wrappiecs,1,x+0,y+0);
            if (global.bigknew2==1)
            draw_sprite(wrappiecs,2,x+0,y+0);
            if (global.bigknew3==1)
            draw_sprite(wrappiecs,3,x+0,y+0);
        }
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            Animal animal = instance(Animal.class);
            if (animal != null)
            if (global.bigknew1==1 && global.bigknew2==1 && global.bigknew3==1)
            {
                if (animal.x<x)
                {
                    int durri = 0;
                    sound_play("pling");
                    alarm[1] = (short)(90);
                    process = 1;
                    for (int i = 0; i<36; i++)
                    {
                        durri += 10;
                        {
                            Ligthings q = instance_create(x,y,Ligthings.class);
                            q.setDirection(durri);
                        }
                    }
                }
                else
                alarm[0] = (short)(8);
            }
            break;
            case 1:
            if (global.opennew==0)
            {
                process = 2;
                new AR1Dialog()
				{
					@Override
					public void dialog() throws ConverseException, SleepException
					{

		                show_message("You gathered all the pieces of the big keyhole.");
		                show_message("The new door has opened.");
		                sound_play("clank");
		                sound_play("cloack");
		                for(Destabl other : instances(Destabl.class))
		                {
		                    instance_create(other.x+0,other.y+0,Tonewplac.class);
		                    other.destroy();
		                }
		                global.opennew = 1;
					}
				}.start();
            }
            break;
            case 2:
                for(Destabl other : instances(Destabl.class))
                {
                    instance_create(other.x+0,other.y+0,Tonewplac.class);
                    other.destroy();
                }
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
