package owg.lgm.ar1.stuff.gathr;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.stuff.special.Ligthings;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Object473 extends Entity
{
	public Object473(double x, double y)
	{
		super(x, y, 0, false, true, false, "rotbigky", null);
	}
	protected Object473(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		alarm[0] = (short)(60);
	}

	Sprite rotpiecs = Sprite.get("rotpiecs");

	@Override
	public void render()
	{
		draw_sprite(sprite,0,x+0,y+0);
		if (global.oddkey1==1)
			draw_sprite(rotpiecs,1,x+0,y+0);
		if (global.oddkey2==1)
			draw_sprite(rotpiecs,2,x+0,y+0);
		if (global.oddkey3==1)
			draw_sprite(rotpiecs,3,x+0,y+0);
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			Animal animal = instance(Animal.class);
			if (animal != null)
				if (global.oddkey1==1 && global.oddkey2==1 && global.oddkey3==1)
				{
					int durri = 0;
					sound_play("pling");
					alarm[1] = (short)(90);
					for (int i = 0; i<36; i++)
					{
						durri += 10;
						{
							Ligthings q = instance_create(x,y,Ligthings.class);
							q.setDirection(durri);
						}
					}
				}
			break;
		case 1:
			if (global.opennewye4==0)
			{
				new AR1Dialog()
				{

					@Override
					public void dialog() throws ConverseException, SleepException
					{
						show_message("You gathered all the pieces of the key.");
						if (global.opennewye3==0)
							show_message("Something has opened...");
						else
							show_message("You now have all the big keys. Go left of the cave town and finish your mission.");
						sound_play("clank");
						sound_play("cloack");
						global.opennewye4 = 1;
					}
				}.start();
			}
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
