package owg.lgm.gl;

public class TexOffset
{
	public static TexOffset ZERO = new TexOffset(0,0,0);
	
	public final int x, y, z;
	
	public TexOffset(int x)
	{
		this(x, 0, 0);
	}

	public TexOffset(int x, int y)
	{
		this(x, y, 0);
	}
	
	public TexOffset(int x, int y, int z)
	{
		this.x = x;
		this.y = y;
		this.z = z;
	}
	
	@Override
	public String toString()
	{
		return x+", "+y+", "+z;
	}
}
