package owg.lgm.gl.fbo;

import com.jogamp.opengl.GL2ES1;

import owg.lgm.gl.RenderBuffer;

public class RenderBufferAttachment extends Attachment
{
	public final RenderBuffer renderbuffer;
	public RenderBufferAttachment(AttachmentPoint ap, RenderBuffer renderbuffer)
	{
		super(ap);
		this.renderbuffer = renderbuffer;
	}
	@Override
	public void attach(GL2ES1 gl)
	{
		gl.glFramebufferRenderbuffer(GL2ES1.GL_FRAMEBUFFER, attachmentPoint.value, GL2ES1.GL_RENDERBUFFER, renderbuffer.getHandle());
	}
}