package owg.competent;

public enum DSPRoutine {
	/**The DSP initializer routine. This is called when the DSP is created, and when the stream is restarted for any reason.*/
	INITIALIZER,
	/**The DSP initializer message processing routine. This is always called immediately after the initializer.*/
	INIT_MSG_PROC,
	/**The main message processing routine. This is called before the main routine if there are any messages to be processed.*/
	MAIN_MSG_PROC,
	/**The main routine. This is called repeatedly when processing audio, and is where the signal processing happens.*/
	MAIN
}
